/* CSS is how you can add style to your website, such as colors, fonts, and positioning of your
   HTML content. To learn how to do something, just try searching Google for questions like
   "how to change link color." */
@font-face{
  font-family: 'Hanaskuvi';
  src: url(fonts/HanaskuviSans-Regular.otf)
}

html {
  width: 100%;
  height: 100%;
  
  background: linear-gradient(157deg,rgba(183, 211, 232, 1) 0%, rgba(137, 114, 194, 1) 50%, rgba(80, 61, 168, 1) 100%);
  background-repeat: no-repeat;
  background-attachment: fixed;
  
  margin: 0;
}

body {
  width: 100%;
  
  color: #1f203b;
  
  font-family: "Roboto Serif", serif;
  font-weight: 400;
  font-size: 12pt;
  font-style: normal;
}

.header {
  display: flex;
  flex-direction: column;
  
  background: linear-gradient(180deg,rgba(125, 95, 184, 0.5) 0%, rgba(62, 61, 143, 0.5) 100%);
  border-radius: 10px;
  
  width: 40%;
  height: 20%;
  
  padding-top: 1ex;
  padding-bottom: 4ex;
  padding-left: 1ex;
  padding-right: 1ex;
  
  margin-top: 2ex;
  margin-bottom: 2ex;
  margin-left: auto;
  margin-right: auto;
}

.main {
  width: 50%;
  height: fit-content;
  
  background: linear-gradient(180deg,rgba(225, 216, 242, 0.75) 0%, rgba(179, 179, 227, 0.75) 100%);
  border-radius: 10px;
  
  padding-top: 1em;
  padding-bottom: 1em;
  padding-left: 3ex;
  padding-right: 3ex;
  
  margin-left: auto;
  margin-right: auto;
}

.t_header {
  font-family: "Kalam", cursive;
  font-weight: 700;
  font-size: 32pt;
  
  color: #e0eeff;
  
  text-align: center;
  
  margin-top: 1ex;
  margin-bottom: 0;
}

.subt_header {
  font-family: "Kalam", cursive;
  font-weight: 400;
  font-size: 14pt;
  
  color: #e0eeff;
  
  text-align: center;
  
  margin-top: -1ex;
  margin-bottom: 1ex;
}

.nav_header {
  font-weight: 600;
  font-size: 12pt;
  
  text-align: center;
  
  margin-top: 0;
  margin-bottom: 0;
}

.nav_header_button:link{
  color: #acb7e8;
}
.nav_header_button:visited{
  color: #acb7e8;
}
.nav_header_button:hover{
  color: #9fe7fc;
}

.nav_dict_container{
  position: fixed;
  top: 1ex;
  
  margin-top: auto;
  margin-bottom: auto;
}

.nav_dict{
  background: linear-gradient(180deg,rgba(125, 95, 184, 0.6) 0%, rgba(62, 61, 143, 0.6) 100%);
  border-radius: 10px;
  
  width: fit-content;
  height: fit-content;
  
  padding: 5px;
}

.nav_letter{
  font-family: "Kalam", cursive;
  font-weight: 700;
  font-size: 12pt;
  
  text-align: center;
  
  margin-top: 0;
  margin-bottom: 0;
}

.nav_letter_button:link{
  color: #361970;
}
.nav_letter_button:visited{
  color: #361970;
}
.nav_letter_button:hover{
  color: #edd980;
}

.dict_sect{
  width: 50%;
  height: fit-content;
  
  padding-top: 10px;
  padding-bottom: 10px;
  padding-left: 15px;
  padding-right: 15px;
  
  margin-left: auto;
  margin-right: auto;
}

.dict_entry{
  width: auto;
  height: fit-content;
  
  background: linear-gradient(180deg,rgba(225, 216, 242, 0.75) 0%, rgba(179, 179, 227, 0.75) 100%);
  border-radius: 10px;
  
  padding-top: 1em;
  padding-bottom: 1em;
  padding-left: 3ex;
  padding-right: 3ex;
  
  margin-left: auto;
  margin-right: auto;
  margin-top: 0;
  margin-bottom: 10px;
}

.entry_word{
  font-family: "Hanaskuvi";
  font-size: 20pt;
  
  margin-top: 0.5ex;
  margin-bottom: 0;
}

.entry_roman{
  font-weight: 500;
  font-size: 16pt;
  
  margin-top: 0;
  margin-bottom: 0;
}

.entry_type{
  font-weight: 300;
  font-size: 12pt;
  font-style: italic;
  
  color: #5f4d94;
  
  margin-top: 0;
  margin-bottom: 1ex;
}

.entry_trans{
  font-weight: 400;
  font-size: 16pt;
  
  margin-top: 0;
  margin-bottom: 1ex;
  margin-left: 2%;
}

.entry_orig{
  font-weight: 300;
  font-size: 10pt;
  font-style: italic;
  
  color: #5f4d94;
  
  margin-top: 0;
  margin-bottom: 0;
  margin-left: 2%;
}